org.eclnt.util.chart

## Class ChartInfo

- java.lang.Object
- - org.eclnt.util.chart.ChartInfo

- Direct Known Subclasses:
    CategoryChartInfo, PieChartInfo, TimeBasedChartInfo, XYChartInfo

      public abstract class ChartInfo
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBackgroundColor()`
    `boolean` | `getExtendedLegend()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getRangeGridlineColorX()`
    `java.lang.String` | `getRangeGridlineColorY()`
    `java.lang.String` | `getRenderingOrder()`
    `boolean` | `getWithLegend()`
    `boolean` | `getWithTooltips()`
    `java.lang.String` | `getxAxisName()`
    `java.lang.String` | `getXAxisName()`
    `boolean` | `getXZoom()`
    `boolean` | `getYZoom()`
    `void` | `setBackgroundColor(java.lang.String backgroundColor)`
    `void` | `setExtendedLegend(boolean extendedLegend)`
    `void` | `setName(java.lang.String name)`
    `void` | `setRangeGridlineColorX(java.lang.String rangeGridlineColorX)`
    `void` | `setRangeGridlineColorY(java.lang.String rangeGridlineColorY)`
    `void` | `setRenderingOrder(java.lang.String renderingOrder)`
    `void` | `setWithLegend(boolean withLegend)`
    `void` | `setWithTooltips(boolean withTooltips)`
    `void` | `setxAxisName(java.lang.String xAxisName)`
    `void` | `setXAxisName(java.lang.String xAxisName)`
    `void` | `setXZoom(boolean xZoom)`
    `void` | `setYZoom(boolean yZoom)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChartInfo

          public ChartInfo()

  - ### Method Detail

    - #### getRenderingOrder

          public java.lang.String getRenderingOrder()

    - #### setRenderingOrder

          public void setRenderingOrder(java.lang.String renderingOrder)

    - #### getExtendedLegend

          public boolean getExtendedLegend()

    - #### setExtendedLegend

          public void setExtendedLegend(boolean extendedLegend)

    - #### getRangeGridlineColorX

          public java.lang.String getRangeGridlineColorX()

    - #### setRangeGridlineColorX

          public void setRangeGridlineColorX(java.lang.String rangeGridlineColorX)

    - #### getRangeGridlineColorY

          public java.lang.String getRangeGridlineColorY()

    - #### setRangeGridlineColorY

          public void setRangeGridlineColorY(java.lang.String rangeGridlineColorY)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getBackgroundColor

          public java.lang.String getBackgroundColor()

    - #### setBackgroundColor

          public void setBackgroundColor(java.lang.String backgroundColor)

    - #### getXZoom

          public boolean getXZoom()

    - #### setXZoom

          public void setXZoom(boolean xZoom)

    - #### getYZoom

          public boolean getYZoom()

    - #### setYZoom

          public void setYZoom(boolean yZoom)

    - #### getXAxisName

          public java.lang.String getXAxisName()

    - #### setXAxisName

          public void setXAxisName(java.lang.String xAxisName)

    - #### getxAxisName

          public java.lang.String getxAxisName()

    - #### setxAxisName

          public void setxAxisName(java.lang.String xAxisName)

    - #### getWithLegend

          public boolean getWithLegend()

    - #### setWithLegend

          public void setWithLegend(boolean withLegend)

    - #### getWithTooltips

          public boolean getWithTooltips()

    - #### setWithTooltips

          public void setWithTooltips(boolean withTooltips)

Copyright © CaptainCasa Gmbh. All Rights Reserved.